org.firebirdsql.jdbc

## Interface Synchronizable

All Known Implementing Classes:
  AbstractCallableStatement, AbstractPreparedStatement, AbstractResultSet, FBBlob, FBCachedBlob, FBCallableStatement, FBConnection, FBManagedConnection, FBPreparedStatement, FBResultSet, FBStatement, GDSHelper, InternalTransactionCoordinator

    public interface Synchronizable

Provides synchronization object. Instances implementing this interface provide objects that are later used in `synchronized` block:

     Object syncObject = someSynchronizable.getSynchronizationObject();
     synchronized(syncObject) {
         // do something...
     }

Author:
  Roman Rokytskyy

### Method Summary

Methods
`java.lang.Object` `getSynchronizationObject()` Get synchronization object.

### Method Detail

#### getSynchronizationObject

    java.lang.Object getSynchronizationObject()

Get synchronization object.

Returns:
  object, cannot be `null`.